# coding: utf-8

from __future__ import absolute_import
from datetime import date, datetime  # noqa: F401

from typing import List, Dict  # noqa: F401

from swagger_server.models.base_model_ import Model
from swagger_server import util


class InlineResponse2001(Model):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    def __init__(self, points: float=None, active: bool=None, blocks_found: float=None, rewards_paid: float=None, rewards_unpaid: float=None, valid_partials: str=None, difficulty: float=None):  # noqa: E501
        """InlineResponse2001 - a model defined in Swagger

        :param points: The points of this InlineResponse2001.  # noqa: E501
        :type points: float
        :param active: The active of this InlineResponse2001.  # noqa: E501
        :type active: bool
        :param blocks_found: The blocks_found of this InlineResponse2001.  # noqa: E501
        :type blocks_found: float
        :param rewards_paid: The rewards_paid of this InlineResponse2001.  # noqa: E501
        :type rewards_paid: float
        :param rewards_unpaid: The rewards_unpaid of this InlineResponse2001.  # noqa: E501
        :type rewards_unpaid: float
        :param valid_partials: The valid_partials of this InlineResponse2001.  # noqa: E501
        :type valid_partials: str
        :param difficulty: The difficulty of this InlineResponse2001.  # noqa: E501
        :type difficulty: float
        """
        self.swagger_types = {
            'points': float,
            'active': bool,
            'blocks_found': float,
            'rewards_paid': float,
            'rewards_unpaid': float,
            'valid_partials': str,
            'difficulty': float
        }

        self.attribute_map = {
            'points': 'points',
            'active': 'active',
            'blocks_found': 'blocks-found',
            'rewards_paid': 'rewards-paid',
            'rewards_unpaid': 'rewards-unpaid',
            'valid_partials': 'valid-partials',
            'difficulty': 'difficulty'
        }
        self._points = points
        self._active = active
        self._blocks_found = blocks_found
        self._rewards_paid = rewards_paid
        self._rewards_unpaid = rewards_unpaid
        self._valid_partials = valid_partials
        self._difficulty = difficulty

    @classmethod
    def from_dict(cls, dikt) -> 'InlineResponse2001':
        """Returns the dict as a model

        :param dikt: A dict.
        :type: dict
        :return: The inline_response_200_1 of this InlineResponse2001.  # noqa: E501
        :rtype: InlineResponse2001
        """
        return util.deserialize_model(dikt, cls)

    @property
    def points(self) -> float:
        """Gets the points of this InlineResponse2001.


        :return: The points of this InlineResponse2001.
        :rtype: float
        """
        return self._points

    @points.setter
    def points(self, points: float):
        """Sets the points of this InlineResponse2001.


        :param points: The points of this InlineResponse2001.
        :type points: float
        """

        self._points = points

    @property
    def active(self) -> bool:
        """Gets the active of this InlineResponse2001.


        :return: The active of this InlineResponse2001.
        :rtype: bool
        """
        return self._active

    @active.setter
    def active(self, active: bool):
        """Sets the active of this InlineResponse2001.


        :param active: The active of this InlineResponse2001.
        :type active: bool
        """

        self._active = active

    @property
    def blocks_found(self) -> float:
        """Gets the blocks_found of this InlineResponse2001.


        :return: The blocks_found of this InlineResponse2001.
        :rtype: float
        """
        return self._blocks_found

    @blocks_found.setter
    def blocks_found(self, blocks_found: float):
        """Sets the blocks_found of this InlineResponse2001.


        :param blocks_found: The blocks_found of this InlineResponse2001.
        :type blocks_found: float
        """

        self._blocks_found = blocks_found

    @property
    def rewards_paid(self) -> float:
        """Gets the rewards_paid of this InlineResponse2001.


        :return: The rewards_paid of this InlineResponse2001.
        :rtype: float
        """
        return self._rewards_paid

    @rewards_paid.setter
    def rewards_paid(self, rewards_paid: float):
        """Sets the rewards_paid of this InlineResponse2001.


        :param rewards_paid: The rewards_paid of this InlineResponse2001.
        :type rewards_paid: float
        """

        self._rewards_paid = rewards_paid

    @property
    def rewards_unpaid(self) -> float:
        """Gets the rewards_unpaid of this InlineResponse2001.


        :return: The rewards_unpaid of this InlineResponse2001.
        :rtype: float
        """
        return self._rewards_unpaid

    @rewards_unpaid.setter
    def rewards_unpaid(self, rewards_unpaid: float):
        """Sets the rewards_unpaid of this InlineResponse2001.


        :param rewards_unpaid: The rewards_unpaid of this InlineResponse2001.
        :type rewards_unpaid: float
        """

        self._rewards_unpaid = rewards_unpaid

    @property
    def valid_partials(self) -> str:
        """Gets the valid_partials of this InlineResponse2001.


        :return: The valid_partials of this InlineResponse2001.
        :rtype: str
        """
        return self._valid_partials

    @valid_partials.setter
    def valid_partials(self, valid_partials: str):
        """Sets the valid_partials of this InlineResponse2001.


        :param valid_partials: The valid_partials of this InlineResponse2001.
        :type valid_partials: str
        """

        self._valid_partials = valid_partials

    @property
    def difficulty(self) -> float:
        """Gets the difficulty of this InlineResponse2001.


        :return: The difficulty of this InlineResponse2001.
        :rtype: float
        """
        return self._difficulty

    @difficulty.setter
    def difficulty(self, difficulty: float):
        """Sets the difficulty of this InlineResponse2001.


        :param difficulty: The difficulty of this InlineResponse2001.
        :type difficulty: float
        """

        self._difficulty = difficulty
